Index: cprs/trunk/CPRS-Chart/fEncnt.dfm
===================================================================
--- cprs/trunk/CPRS-Chart/fEncnt.dfm	(revision 456)
+++ cprs/trunk/CPRS-Chart/fEncnt.dfm	(revision 830)
@@ -1,17 +1,11 @@
-object frmEncounter: TfrmEncounter
+inherited frmEncounter: TfrmEncounter
   Left = 481
   Top = 242
-  Width = 470
-  Height = 450
   Anchors = [akTop]
   BorderIcons = [biSystemMenu]
   Caption = 'Provider & Location for Current Activities'
-  Color = clBtnFace
+  ClientHeight = 423
+  ClientWidth = 462
   Constraints.MinWidth = 470
-  Font.Charset = DEFAULT_CHARSET
-  Font.Color = clWindowText
-  Font.Height = -11
-  Font.Name = 'MS Sans Serif'
-  Font.Style = []
   OldCreateOrder = True
   Position = poScreenCenter
@@ -22,10 +16,12 @@
   OnResize = FormResize
   OnShow = FormShow
+  ExplicitWidth = 470
+  ExplicitHeight = 450
   DesignSize = (
     462
-    416)
+    423)
   PixelsPerInch = 96
   TextHeight = 13
-  object lblInstruct: TLabel
+  object lblInstruct: TLabel [0]
     Left = 6
     Top = 6
@@ -39,5 +35,5 @@
     WordWrap = True
   end
-  object lblLocation: TLabel
+  object lblLocation: TLabel [1]
     Tag = 9
     Left = 6
@@ -49,5 +45,5 @@
     Constraints.MinHeight = 12
   end
-  object lblProvider: TLabel
+  object lblProvider: TLabel [2]
     Left = 6
     Top = 6
@@ -56,5 +52,5 @@
     Caption = 'Encounter Provider'
   end
-  object cboPtProvider: TORComboBox
+  object cboPtProvider: TORComboBox [3]
     Left = 6
     Top = 20
@@ -82,5 +78,5 @@
     CharsNeedMatch = 1
   end
-  object cmdDateRange: TButton
+  object cmdDateRange: TButton [4]
     Tag = 9
     Left = 266
@@ -95,5 +91,5 @@
     OnClick = cmdDateRangeClick
   end
-  object txtLocation: TCaptionEdit
+  object txtLocation: TCaptionEdit [5]
     Tag = 9
     Left = 6
@@ -110,5 +106,5 @@
     Caption = 'Encounter Location'
   end
-  object cmdCancel: TButton
+  object cmdCancel: TButton [6]
     Left = 341
     Top = 45
@@ -123,5 +119,5 @@
     OnClick = cmdCancelClick
   end
-  object cmdOK: TButton
+  object cmdOK: TButton [7]
     Left = 340
     Top = 20
@@ -136,5 +132,5 @@
     OnClick = cmdOKClick
   end
-  object Panel1: TPanel
+  object Panel1: TPanel [8]
     Left = 0
     Top = 179
@@ -158,6 +154,11 @@
       TabOrder = 0
       OnChange = pgeVisitChange
+      OnMouseDown = pgeVisitMouseDown
       object tabClinic: TTabSheet
         Caption = 'Clinic Appointments'
+        ExplicitLeft = 0
+        ExplicitTop = 0
+        ExplicitWidth = 0
+        ExplicitHeight = 0
         object lstClinic: TORListBox
           Left = 0
@@ -205,4 +206,8 @@
       object tabAdmit: TTabSheet
         Caption = 'Hospital Admissions'
+        ExplicitLeft = 0
+        ExplicitTop = 0
+        ExplicitWidth = 0
+        ExplicitHeight = 0
         object lstAdmit: TORListBox
           Left = 0
@@ -241,4 +246,8 @@
       object tabNewVisit: TTabSheet
         Caption = 'New Visit'
+        ExplicitLeft = 0
+        ExplicitTop = 0
+        ExplicitWidth = 0
+        ExplicitHeight = 0
         object lblVisitDate: TLabel
           Left = 220
@@ -313,4 +322,61 @@
     end
   end
+  inherited amgrMain: TVA508AccessibilityManager
+    Data = (
+      (
+        'Component = cboPtProvider'
+        'Status = stsDefault')
+      (
+        'Component = cmdDateRange'
+        'Status = stsDefault')
+      (
+        'Component = txtLocation'
+        'Status = stsDefault')
+      (
+        'Component = cmdCancel'
+        'Status = stsDefault')
+      (
+        'Component = cmdOK'
+        'Status = stsDefault')
+      (
+        'Component = Panel1'
+        'Status = stsDefault')
+      (
+        'Component = pgeVisit'
+        'Status = stsDefault')
+      (
+        'Component = tabClinic'
+        'Status = stsDefault')
+      (
+        'Component = lstClinic'
+        'Status = stsDefault')
+      (
+        'Component = Panel2'
+        'Status = stsDefault')
+      (
+        'Component = tabAdmit'
+        'Status = stsDefault')
+      (
+        'Component = lstAdmit'
+        'Status = stsDefault')
+      (
+        'Component = Panel3'
+        'Status = stsDefault')
+      (
+        'Component = tabNewVisit'
+        'Status = stsDefault')
+      (
+        'Component = calVisitDate'
+        'Status = stsDefault')
+      (
+        'Component = ckbHistorical'
+        'Status = stsDefault')
+      (
+        'Component = cboNewVisit'
+        'Status = stsDefault')
+      (
+        'Component = frmEncounter'
+        'Status = stsDefault'))
+  end
   object dlgDateRange: TORDateRangeDlg
     DateOnly = True
